﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}



<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>

@section Style{
    .ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; }
    .iu-widget-header { background-color: #94B6E8; color: #94B6E8; }
    .ui-widget-header {
        background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png") repeat-x scroll 50% 50% #94B6E8;
        background-color: #DDECFF;
        border: 1px solid #94B6E8;
        color: #94B6E8;
        @*font-weight: bold;*@
    }
    div.ui-datepicker {width: 17em; padding: .2em .2em 0;}
    div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color: #DDECFF; color: #DDECFF; font-weight: bold;}
    table.mtz-monthpicker {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
    td.ui-state-default.mtz-monthpicker-month {border: 1px solid #fff;}
    td.ui-state-default.mtz-monthpicker-month {text-align: center; cursor: pointer; padding: 5px;}
    td.ui-state-default.mtz-monthpicker-month:hover, td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color: #DDECFF; color: #fff; cursor: pointer;}
    td.ui-state-default.mtz-monthpicker-month:hover {background-color: #fff; color: #000;}
    select.mtz-monthpicker-year {margin-top: 7px; border:1px solid #6A8CCB;}
}


@section Script{
    $(document).ready(function() {
        
 
        $('#PO_MONTH_I').monthpicker({
            startYear: new Date().getFullYear() - 4,
            finalYear: new Date().getFullYear() + 4,
            pattern: 'mmm yyyy',
                monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#PRMonth_I').bind('onchange',function(e){
            alert("input change");
        });  
    });
}

@section StartupScript{
    PO_MONTH.value = '';
}

<style type="text/css">
    #PO_MONTH_I, #PO_MONTH
    {
        background-color:#F6CECE!important;    
    }
    
    #PR_NO_I, #PR_NO,#gridPartnerRefView_I, #gridPartnerRefView,#PO_NO_I,#PO_NO,#PR_STATUS_I,#PR_STATUS,#PO_STATUS_I,#PO_STATUS,#PR_DATE_I,#PR_DATE,#PO_DATE_I,#PO_DATE
    {
        background-color:#F5F6CE!important;    
    }


</style>

<script type="text/javascript">
   
    $(document).ready(function () { 
        GridPR_STATUS.SetHeight(-98);
        GridPO_STATUS.SetHeight(-98);
        GridgridPartnerRefView.SetHeight(-149);

        $('#PO_NO_I').keypress(function(e){
            if(e.keyCode==8 || e.keyCode == 46 || e.keyCode == 37 || e.keyCode == 38 || e.keyCode == 39 || e.keyCode == 40)
            {
            }
            else if(String.fromCharCode(e.which).match(/[^A-Za-z0-9]/))
            {
                e.preventDefault();
            }
        });

        $('#PR_NO_I').keypress(function(e){
            if(e.keyCode==8 || e.keyCode == 46 || e.keyCode == 37 || e.keyCode == 38 || e.keyCode == 39 || e.keyCode == 40)
            {
            }
            else if(String.fromCharCode(e.which).match(/[^A-Za-z0-9]/))
            {
                e.preventDefault();
            }
        });

    });

    function SearchData(s, e) {
        var a = PO_NO.GetText();
        var b = PR_NO.GetText();
        var err = 0;

        if(a.match(/[^A-Za-z0-9]/) != null){
            err = 1;
        }
        if(b.match(/[^A-Za-z0-9]/) != null){
            err = 1;
        }

        
        

        if (PO_MONTH.GetText() == '') {
            //MessageBox('Please select production month!','warning_icon.png','Warning',280);
            $.msgBox({ title: "Warning", type: "alert", content: "Please select production month!"});
        }else{
                if(err == 1){
                $.msgBox({ title: "Warning", type: "alert", content: "Only can be use number or text!"});
                }else{
                GridPurchaseOrder.PerformCallback();
                }
                err = 0;
        }

    }
    
//    function convertDate (param){
//        var param;

//        if (param == null){
//            yearmonthval = "";

//        }else{

//            var PRMonthVal = param.toLocaleString();
//            //var d = new Date(PRMonth.GetValue());
//            var d = new Date(PRMonthVal);
//            var curr_month = d.getMonth() + 1 ;
//            var curr_year = d.getFullYear();
//            var n = String(curr_month).length;

//            if (n==1){
//                curr_month = '0'+curr_month;
//            }else{
//                curr_month= curr_month;
//            }

//            var yearmonthval = curr_year+''+curr_month;
//        }

//        return yearmonthval;
//    }


    function GetProductionMonth(productionMonth) {
         var paramStr = String(productionMonth).replace('-', '');
         var paramStrLength = String(paramStr).length;

         var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
         var month = String(paramStr).substring(0, paramStrLength - 5);
         var monthEnum = {
             January: '01',
             February: '02',
             March: '03',
             April: '04',
             May: '05',
             June: '06',
             July: '07',
             August: '08',
             September: '09',
             October: '10',
             November: '11',
             December: '12'
         };
         var monthNum = "";
         if (Boolean(month))
             monthNum = monthEnum[month];
          
         return year + monthNum;
     }


    function MessageBox(s, e) {
        if (e != '') {
            msgboxicon.src = '/Content/Images/' + e;
        } else {

            msgboxicon.src = '/Content/Images/warning_icon.png';
        }
        msgboxcaption.SetText(s);
        msgbox.Show();
    }

    function SetActivationButton(s, e){
        var criteria = PR_NO.GetText() + PR_STATUS.GetValue() + PR_DATE.GetText() + PO_NO.GetText() + PO_STATUS.GetValue() + PO_DATE.GetText() + gridPartnerRefView.GetText();           
            btnSearch.SetEnabled(criteria.length>0);
            btnClear.SetEnabled(criteria.length>0);
                
    }
    function OnBeginCallbackGrid(s, e) {
        e.customArgs["pPO_MONTH"] = GetProductionMonth(PO_MONTH.GetValue());
        e.customArgs["pPR_NO"] = PR_NO.GetText();
        e.customArgs["pPR_STATUS"] = PR_STATUS.GetValue();
        e.customArgs["pPR_DATE"] = PR_DATE.GetText();
        e.customArgs["pPO_NO"] = PO_NO.GetText();
        e.customArgs["pPO_STATUS"] = PO_STATUS.GetValue();
        e.customArgs["pPO_DATE"] = PO_DATE.GetText();
        e.customArgs["pLP_CD"] = gridPartnerRefView.GetText();
       s2=e;
       s1=s;
    }

    function SendAsEmail(s, e) {
        alert('not implement yet...');

    }
    function ClearGrid(){
        PO_MONTH.SetText("");
        PR_NO.SetText("");
        PR_STATUS.SetText("");
        PR_STATUS.SetValue("");
        PR_DATE.SetText("");
        PO_NO.SetText("");
        PO_STATUS.SetText("");
        PO_STATUS.SetValue("");
        PO_DATE.SetText("");

        if (GridgridPartnerRefView.GetVisibleRowsOnPage() != 1) {
            gridPartnerRefView.SetText("");
        }
        
        GridPurchaseOrder.ClearFilter();
        SetActivationButton();
    }

    
    //-----------------------DETAIL PR---------------------------------
    function OnPRClick(s, e) {
    if (s != '') {
          PR_NO_DET.SetText(s);
          gridmonPopupPRDetail.ClearFilter();
            monPopupPR.SetHeaderText('Purchase Requisition Detail');
            monPopupPR.Show();
            BeginCallbackPRHead(s, e);
    } else {
           popupInformation.Show();
        }
    }
    
    function OnPRBackClick(s, e) {        
        monPopupPR.Hide();
    }

    function BeginCallbackPRHead(s, e) {

        PR_DATE_DET.SetText("");
        PR_LP_DET.SetText("");
        PR_STATUS_DET.SetText("");
              
          $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/D31201/PopupDetailPRHeader")",
                data:
                {
               
                    PR_NO : s
                         
              },
             success: function (result) {

                $.each(result, function (index, item) {
                    if (item) {
                        PR_DATE_DET.SetText(item.CREATED_DT);
                        PR_LP_DET.SetText(item.LOG_PARTNER_NAME);
                        PR_STATUS_DET.SetText(item.PR_STATUS_FLAG);
                    }
                });                                      
            },
            error: function (result) {
                //alert("Data not exist");
                $.msgBox({ title: "Warning", type: "alert", content: "Data not exist"});
            }
        });
    }

    function OnBeginCallbackGridPRDetail(s, e) {
        e.customArgs["pPR_NO_DET"] = PR_NO_DET.GetText();
    }
    //-----------------------DETAIL PR---------------------------------



    //-----------------------DETAIL PO---------------------------------
    function OnPOClick(s, e) {
    if (s != '&nbsp;') {
            PO_NO_DET.SetText(s);
            gridmonPopupPODetail.ClearFilter();
            monPopupPO.SetHeaderText('Purchase Order Detail');
            monPopupPO.Show();
            BeginCallbackPOHead(s, e);
    } else {
           popupInformation.Show();
        }
    }
    
    function OnPOBackClick(s, e) {        
        monPopupPO.Hide();
    }

    function BeginCallbackPOHead(s, e) {

        PO_DATE_DET.SetText("");
        PO_LP_DET.SetText("");
        PO_STATUS_DET.SetText("");
        PO_CURR_DET.SetText("");
              
          $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/D31201/PopupDetailPOHeader")",
                data:
                {
               
                    PO_NO : s
                         
              },
             success: function (result) {

                $.each(result, function (index, item) {
                    if (item) {
                        PO_DATE_DET.SetText(item.CREATED_DT);
                        PO_LP_DET.SetText(item.LOG_PARTNER_NAME);
                        PO_STATUS_DET.SetText(item.PO_STATUS_FLAG);
                        PO_CURR_DET.SetText(item.PO_CURR);
                    }
                });                                      
            },
            error: function (result) {
                //alert("Data not exist");
                $.msgBox({ title: "Warning", type: "alert", content: "Data not exist"});
            }
        });
    }

    

    function OnBeginCallbackGridPODetail(s, e) {
        e.customArgs["pPO_NO_DET"] = PO_NO_DET.GetText();

        
    }
    //-----------------------DETAIL PO---------------------------------

    var toggle = 1;

    function ShowDetail(s, e) {
      GridPurchaseOrder.PerformCallback('ToggleColumns=PR_APPROVAL;PO_APPROVAL;PR_REJECT;PO_REJECT');
      if (toggle == 1){
            btnView.SetText("Hide Detail");
            $('#grid').attr("style", "width:100%");

            toggle = 0;
        }else{
            btnView.SetText("Show Detail");
            $('#grid').attr("style", "width:1287px");
            toggle = 1;
        }
    }

//    function DownloadAsPDF(s, e) {
//        if (s == '&nbsp;') {
//           MessageBox('PO Number Not Created!','warning_icon.png','Warning',280);
//        } else {              
////           $.ajax(
////                {
////            type: "POST",
////            url: "@Url.Content("~/D31201/DownloadPdf")",
////            data:
////            {
////                PoNo: s,
////                POType: s
////                
////            },
////            success: function (result) {
////                alert(result);
////            },
////            error: function (result) {
////                alert(result);
////            }
////            });
//        var paramId = null;
//        document.getElementById("iReport").src = "@Url.Action("Reporting","D31201", new {id = "paramId"})".replace("paramId", s);

//        alert(paramId);
//        }
//      
//    }

    var paramId = null;
    function DownloadAsPDF(s, e) {
    var resValue = s.split('|');
    paramId = resValue[0];

        if (s == '') {
            //MessageBox('PO Number Not Created!','warning_icon.png','Warning',280);
            $.msgBox({ title: "Warning", type: "alert", content: "PO Number Not Created!"});
        }
        else {
            PopupSPRepoting.Show();
            //alert(paramId);
        }
    }


    function OnPopupShow() {
        document.getElementById("iReport").src = "@Url.Action("Reporting","D31201", new {id = "paramId"})".replace("paramId", paramId);
      }

</script>


<style type="text/css">


#headLegend
 {
     display: block;
     float:left;
     padding: 3px;
     
     border:1px solid #142B94; 
     
     background-color:#DEECFD; 
     width : 170px;
     height: 127px;
     margin-left: 10px;     
 }
 
 .ilegend 
 {
     width: 17px; height: 17px;
     margin-left: 5px;
     margin-right: 5px;
     margin-top : 0px;
     margin-bottom: 0px;
     display: block; 
     float: left;
     clear:none;
 }
 .iwLegendTitle
 {
     height: 25px;
     width: 100%;
     display: block;
     float: left;
     clear: both;
     border-bottom: 1px solid #cfcfff;
     margin-top: 5px;
     margin-bottom: 5px;
 }
 .iwLegend
 {  
     height: 25px;
     width: 80px;
     display: block;
     float: left;
     clear: none;
     margin-top: 5px;
 }
 
 



</style>
<table border="0">
    <tr>

        @*Button*@
        <td>
            <div style="display: table; border: 1px solid #002D96; background-color: #DEECFD; padding: 10px; width:400px; margin-right:10px;">
                @Html.Action("PartialHeader", "D31201")

            </div>
        </td>

        <td valign="top">
            
                <div id="headLegend">
                    <div class="iwLegendTitle">Status Legend</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/yellow_1.png")" class="ilegend" /> Pending</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/Green_1.png")" class="ilegend" /> Approved</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/red.png")" class="ilegend" /> Rejected</div>
                    <div class="iwLegend"><img src="@Url.Content("~/Content/Images/gray.png")" class="ilegend" /> Skip</div>
                </div>
            
        </td>
    </tr>
</table>


<div style="height: 10px;">
@* div spacing *@
</div>
@*<div style="
    display: table; border: 1px solid #99B7E8; background-color: #DEECFD;padding: 10px; width:98%">*@
<div id="grid" style="display: table; width:1287px">
    @Html.Action("PartialDatas", "D31201")
</div>

@Html.Action("MessageBox", "D31201")

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "monPopupPO";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(650);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(585);
    settings.ScrollBars = ScrollBars.Vertical;
    //settings.Width = System.Web.UI.WebControls.Unit.Percentage(40);
    //settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.ShowCloseButton = false;
    settings.Top = 35;
    settings.CloseAction = CloseAction.CloseButton;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    //settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    //settings.DragElement = DragElement.Window;
    //settings.ShowHeader = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("monPopupPO");
    });
}).GetHtml()

 @Html.DevExpress().PopupControl(settings =>
        {
            settings.Name = "monPopupPR";
            settings.ScrollBars = ScrollBars.Vertical;
            settings.Width = System.Web.UI.WebControls.Unit.Pixel(518);
            //settings.Width = System.Web.UI.WebControls.Unit.Percentage(40);
            settings.Height = System.Web.UI.WebControls.Unit.Pixel(566);
            settings.Modal = true;
            settings.ShowCloseButton = false;
            settings.Top = 35;
            settings.CloseAction = CloseAction.CloseButton;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            //settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            //settings.DragElement = DragElement.Window;
            //settings.ShowHeader = false;
            settings.SetContent(() =>
            {
                Html.RenderPartial("monPopupPR");
            });
        }).GetHtml()

 @Html.DevExpress().PopupControl(settings =>
        {
            settings.Name = "monPopupDetail";
            settings.Width = System.Web.UI.WebControls.Unit.Pixel(600);
            settings.DragElement = DragElement.Window;
            settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
            settings.Modal = true;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            settings.DragElement = DragElement.Window;
            //settings.ShowHeader = false;
            settings.SetContent(() =>
            {
                Html.RenderPartial("monPopupViewDetail");
            });
        }).GetHtml()



 @Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopupSPRepoting";
    settings.HeaderText = "PO Letter";
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(98);
    settings.Height= System.Web.UI.WebControls.Unit.Percentage(98);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.ShowShadow = true;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ClientSideEvents.Shown = "OnPopupShow";
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupSPReporting");
    });
}).GetHtml()
